---
search:
  tags:
    - agent-sessions
    - PUT
seo:
  description: >-
    Update agent pause. Reference for the PUT
    /workspaces/{organizationId}/agent/pauses/{agentId} endpoint in the Pile
    API.
sidebar:
  label: Update agent pause
  badge: PUT
title: Update agent pause
type: openapi-operation
---
`PUT /workspaces/{organizationId}/agent/pauses/{agentId}`

**Request body** (`application/json`)

- `reason` (string)

Request body example:

```json
{
  "reason": "string"
}
```

**Responses**

- `200` — Agent type paused — new dispatches queue until resume (upserts: re-pausing refreshes reason/actor)

Response example, 200:

```json
{
  "id": "string",
  "organizationId": "string",
  "agentId": "string",
  "reason": "string",
  "createdBy": "string",
  "createdAt": "string"
}
```
